import { AnyRouter, inferRouterContext } from '@trpc/server';
import type { CreateHTTPContextOptions } from '@trpc/server/adapters/standalone';
import type { CreateWSSContextFnOptions } from '@trpc/server/adapters/ws';
export declare function createTRPCWebSocketServer<Router extends AnyRouter>({ router, createContext }: {
    /**
     * The tRPC router to use.
     * @see https://trpc.io/docs/router
     */
    router: Router;
    /**
     * An async function that returns the tRPC context.
     * @see https://trpc.io/docs/context
     */
    createContext?: (opts: CreateHTTPContextOptions | CreateWSSContextFnOptions) => Promise<inferRouterContext<Router>>;
}): Promise<void>;
